// translate.js

$(document).ready(function () {
    // Menu sidebar

    if (typeof resource_menu_section_Overview != "undefined" && resource_menu_section_Overview != "") { $(".menu_overview span").html(resource_menu_section_Overview); }
    if (typeof resource_menu_section_UserRole != "undefined" && resource_menu_section_UserRole != "") { $(".menu_userrole span").html(resource_menu_section_UserRole); }
    if (typeof resource_menu_section_UserInput != "undefined" && resource_menu_section_UserInput != "") { $(".menu_userinput span").html(resource_menu_section_UserInput); }
    if (typeof resource_menu_section_DialogueIntelligence != "undefined" && resource_menu_section_DialogueIntelligence != "") { $(".menu_di span").html(resource_menu_section_DialogueIntelligence); }
    if (typeof resource_menu_section_UccConfig != "undefined" && resource_menu_section_UccConfig != "") { $(".menu_uccconfig span").html(resource_menu_section_UccConfig); }
    if (typeof resource_menu_section_UccGeneral != "undefined" && resource_menu_section_UccGeneral != "") { $(".menu_uccgeneral span").html(resource_menu_section_UccGeneral); }
    if (typeof resource_menu_section_Actions != "undefined" && resource_menu_section_Actions != "") { $(".menu_actions span").html(resource_menu_section_Actions); }
    if (typeof resource_menu_section_DialogueManagement != "undefined" && resource_menu_section_DialogueManagement != "") { $(".menu_dm span").html(resource_menu_section_DialogueManagement); }
    if (typeof resource_menu_section_ContentManagement != "undefined" && resource_menu_section_ContentManagement != "") { $(".menu_cm span").html(resource_menu_section_ContentManagement); }

    // Menu sections
    if (typeof resource_menu_section_UserRole != "undefined" && resource_menu_section_UserRole != "") { $(".userrole-ucc .item-header-text").html(resource_menu_section_UserRole); }
    if (typeof resource_menu_section_UserInput != "undefined" && resource_menu_section_UserInput != "") { $(".userinput-ucc .item-header-text").html(resource_menu_section_UserInput); }
    if (typeof resource_menu_section_DialogueIntelligence != "undefined" && resource_menu_section_DialogueIntelligence != "") { $(".dialogueintelligence-ucc .item-header-text").html(resource_menu_section_DialogueIntelligence); }
    if (typeof resource_menu_section_UccConfig != "undefined" && resource_menu_section_UccConfig != "") { $(".uccconfig-ucc .item-header-text").html(resource_menu_section_UccConfig); }
    if (typeof resource_menu_section_UccGeneral != "undefined" && resource_menu_section_UccGeneral != "") { $(".uccgeneral-ucc .item-header-text").html(resource_menu_section_UccGeneral); }
    if (typeof resource_menu_section_Actions != "undefined" && resource_menu_section_Actions != "") { $(".actions-ucc .item-header-text").html(resource_menu_section_Actions); }
    if (typeof resource_menu_section_DialogueManagement != "undefined" && resource_menu_section_DialogueManagement != "") { $(".dialoguemanagement-ucc .item-header-text").html(resource_menu_section_DialogueManagement); }
    if (typeof resource_menu_section_ContentManagement != "undefined" && resource_menu_section_ContentManagement != "") { $(".contentmanagement-ucc .item-header-text").html(resource_menu_section_ContentManagement); }

    // Menu
    if (typeof resource_menu_title_Agents != "undefined" && resource_menu_title_Agents != "") { $(".item-icon-agents a").html(resource_menu_title_Agents); }
    if (typeof resource_menu_title_SkillsPerAgent != "undefined" && resource_menu_title_SkillsPerAgent != "") { $(".item-icon-skillsperagent a").html(resource_menu_title_SkillsPerAgent); }
    if (typeof resource_menu_title_Supervisors != "undefined" && resource_menu_title_Supervisors != "") { $(".item-icon-supervisors a").html(resource_menu_title_Supervisors); }
    if (typeof resource_menu_title_VoicemailAgents != "undefined" && resource_menu_title_VoicemailAgents != "") { $(".item-icon-voicemailagents a").html(resource_menu_title_VoicemailAgents); }

    if (typeof resource_menu_title_ReasonCodes != "undefined" && resource_menu_title_ReasonCodes != "") { $(".item-icon-reasoncodes a").html(resource_menu_title_ReasonCodes); }
    if (typeof resource_menu_title_CallClassifications != "undefined" && resource_menu_title_CallClassifications != "") { $(".item-icon-callclassifications a").html(resource_menu_title_CallClassifications); }

    if (typeof resource_menu_title_CallSummary != "undefined" && resource_menu_title_CallSummary != "") { $(".item-icon-callsummary a").html(resource_menu_title_CallSummary); }
    if (typeof resource_menu_title_MissedCallsToday != "undefined" && resource_menu_title_MissedCallsToday != "") { $(".item-icon-missedcallstoday a").html(resource_menu_title_MissedCallsToday); }
    if (typeof resource_menu_title_Reports != "undefined" && resource_menu_title_Reports != "") { $(".item-icon-reports a").html(resource_menu_title_Reports); }
    if (typeof resource_menu_title_Endpoints != "undefined" && resource_menu_title_Endpoints != "") { $(".item-icon-endpoints a").html(resource_menu_title_Endpoints); }
	if (typeof resource_menu_title_PluginAttributes != "undefined" && resource_menu_title_PluginAttributes != "") { $(".item-icon-pluginAttributes a").html(resource_menu_title_PluginAttributes); }
	if (typeof resource_menu_title_PluginSettings != "undefined" && resource_menu_title_PluginSettings != "") { $(".item-icon-pluginSettings a").html(resource_menu_title_PluginSettings); }
	if (typeof resource_menu_title_PluginFlowSettings != "undefined" && resource_menu_title_PluginFlowSettings != "") { $(".item-icon-pluginFlowSettings a").html(resource_menu_title_PluginFlowSettings); }

    if (typeof resource_menu_title_Settings != "undefined" && resource_menu_title_Settings != "") { $(".item-icon-settings a").html(resource_menu_title_Settings); }
    if (typeof resource_menu_title_Businesshours != "undefined" && resource_menu_title_Businesshours != "") { $(".item-icon-businesshours a").html(resource_menu_title_Businesshours); }
    if (typeof resource_menu_title_Holidays != "undefined" && resource_menu_title_Holidays != "") { $(".item-icon-holidays a").html(resource_menu_title_Holidays); }
    if (typeof resource_menu_title_WorkJobs != "undefined" && resource_menu_title_WorkJobs != "") { $(".item-icon-workjobs a").html(resource_menu_title_WorkJobs); }
    if (typeof resource_menu_title_RoleBasedSecurity != "undefined" && resource_menu_title_RoleBasedSecurity != "") { $(".item-icon-rolebasedsecurity a").html(resource_menu_title_RoleBasedSecurity); }
    if (typeof resource_menu_title_VersionManagement != "undefined" && resource_menu_title_VersionManagement != "") { $(".item-icon-versionmanagement a").html(resource_menu_title_VersionManagement); }

    if (typeof resource_menu_title_Skill != "undefined" && resource_menu_title_Skill != "") { $(".item-icon-skill a").html(resource_menu_title_Skill); }
    if (typeof resource_menu_title_ChatSkill != "undefined" && resource_menu_title_ChatSkill != "") { $(".item-icon-chatskill a").html(resource_menu_title_ChatSkill); }
    if (typeof resource_menu_title_AvailabilitySkill != "undefined" && resource_menu_title_AvailabilitySkill != "") { $(".item-icon-availabilityskill a").html(resource_menu_title_AvailabilitySkill); }
    if (typeof resource_menu_title_CountdownSkill != "undefined" && resource_menu_title_CountdownSkill != "") { $(".item-icon-countdownskill a").html(resource_menu_title_CountdownSkill); }
    if (typeof resource_menu_title_CountdownAvailabilitySkill != "undefined" && resource_menu_title_CountdownAvailabilitySkill != "") { $(".item-icon-countdownavailabilityskill a").html(resource_menu_title_CountdownAvailabilitySkill); }
    if (typeof resource_menu_title_EscapeMaxQueueSizeSkill != "undefined" && resource_menu_title_EscapeMaxQueueSizeSkill != "") { $(".item-icon-escapemaxqueuesizeskill a").html(resource_menu_title_EscapeMaxQueueSizeSkill); }
    if (typeof resource_menu_title_ForwardSkill != "undefined" && resource_menu_title_ForwardSkill != "") { $(".item-icon-forwardskill a").html(resource_menu_title_ForwardSkill); }
    if (typeof resource_menu_title_ChatForwardSkill != "undefined" && resource_menu_title_ChatForwardSkill != "") { $(".item-icon-chatforwardskill a").html(resource_menu_title_ChatForwardSkill); }

    if (typeof resource_menu_title_UCCRouting != "undefined" && resource_menu_title_UCCRouting != "") { $(".item-icon-uccrouting a").html(resource_menu_title_UCCRouting); }
    if (typeof resource_menu_title_InboundRouting != "undefined" && resource_menu_title_InboundRouting != "") { $(".item-icon-inboundrouting a").html(resource_menu_title_InboundRouting); }
    if (typeof resource_menu_title_IVRQuestions != "undefined" && resource_menu_title_IVRQuestions != "") { $(".item-icon-ivr a").html(resource_menu_title_IVRQuestions); }
    if (typeof resource_menu_title_PromptsConfig != "undefined" && resource_menu_title_PromptsConfig != "") { $(".item-icon-promptsconfig a").html(resource_menu_title_PromptsConfig); }
    if (typeof resource_menu_title_QualityMonitorConfig != "undefined" && resource_menu_title_QualityMonitorConfig != "") { $(".item-icon-qualitymonitoring a").html(resource_menu_title_QualityMonitorConfig); }
    if (typeof resource_menu_title_OutboundDialerCalls != "undefined" && resource_menu_title_OutboundDialerCalls != "") { $(".item-icon-outbounddialercalls a").html(resource_menu_title_OutboundDialerCalls); }

    if (typeof resource_menu_title_AudioFiles != "undefined" && resource_menu_title_AudioFiles != "") { $(".item-icon-audiofiles a").html(resource_menu_title_AudioFiles); }
    if (typeof resource_menu_title_Playlists != "undefined" && resource_menu_title_Playlists != "") { $(".item-icon-playlists a").html(resource_menu_title_Playlists); }
    if (typeof resource_menu_title_Recordings != "undefined" && resource_menu_title_Recordings != "") { $(".item-icon-recordings a").html(resource_menu_title_Recordings); }
    if (typeof resource_menu_title_Voicemails != "undefined" && resource_menu_title_Voicemails != "") { $(".item-icon-voicemails a").html(resource_menu_title_Voicemails); }
    if (typeof resource_menu_title_ScreenRecordingsInbound != "undefined" && resource_menu_title_ScreenRecordingsInbound != "") { $(".item-icon-screenrecordinginbound a").html(resource_menu_title_ScreenRecordingsInbound); }
    if (typeof resource_menu_title_ScreenRecordingsOutbound != "undefined" && resource_menu_title_ScreenRecordingsOutbound != "") { $(".item-icon-screenrecordingoutbound a").html(resource_menu_title_ScreenRecordingsOutbound); }

    // Stats
    if (typeof resource_portal_label_Users != "undefined" && resource_portal_label_Users != "") { $("#totalAgents h3").html(resource_portal_label_Users); }
    if (typeof resource_portal_label_OutboundDialer != "undefined" && resource_portal_label_OutboundDialer != "") { $("#outboundDialer h3").html(resource_portal_label_OutboundDialer); }
    if (typeof resource_portal_label_Recordings != "undefined" && resource_portal_label_Recordings != "") { $("#recordingTotals h3").html(resource_portal_label_Recordings); }
    if (typeof resource_portal_alt_Recordings != "undefined" && resource_portal_alt_Recordings != "") { $("#recordingTotals img").attr("alt", resource_portal_alt_Recordings); }
    if (typeof resource_portal_label_CallRecording != "undefined" && resource_portal_label_CallRecording != "") { $("#callRecordingLabel").html(resource_portal_label_CallRecording); }
    if (typeof resource_portal_label_InboundInterception != "undefined" && resource_portal_label_InboundInterception != "") { $("#inboundCallRecordingLabel").html(resource_portal_label_InboundInterception); }
    if (typeof resource_portal_label_OutboundInterception != "undefined" && resource_portal_label_OutboundInterception != "") { $("#outboundCallRecordingLabel").html(resource_portal_label_OutboundInterception); }
    if (typeof resource_portal_label_InternalInterception != "undefined" && resource_portal_label_InternalInterception != "") { $("#internalCallRecordingLabel").html(resource_portal_label_InternalInterception); }

    if (typeof resource_portal_label_TotalAgentsInSkill != "undefined" && resource_portal_label_TotalAgentsInSkill != "") { $("#skillsPerAgent h3").html(resource_portal_label_TotalAgentsInSkill); }
    if (typeof resource_portal_label_BusinessHours != "undefined" && resource_portal_label_BusinessHours != "") { $("#businesshoursLabel").html(resource_portal_label_BusinessHours); }
    if (typeof resource_portal_label_Holidays != "undefined" && resource_portal_label_Holidays != "") { $("#holidaysLabel").html(resource_portal_label_Holidays); }
    if (typeof resource_portal_label_MissedCallsToday != "undefined" && resource_portal_label_MissedCallsToday != "") { $("#missedCalls h3").html(resource_portal_label_MissedCallsToday); }
    if (typeof resource_portal_alt_MissedCallsToday != "undefined" && resource_portal_alt_MissedCallsToday != "") { $("#missedCalls img").attr("alt", resource_portal_alt_MissedCallsToday); }
    if (typeof resource_portal_label_Voicemails != "undefined" && resource_portal_label_Voicemails != "") { $("#voicemails h3").html(resource_portal_label_Voicemails); }
    if (typeof resource_portal_alt_Voicemails != "undefined" && resource_portal_alt_Voicemails != "") { $("#voicemails img").attr("alt", resource_portal_alt_Voicemails); }
});